<%|varblock|
	<%|define("next")|1%>
	<%|define("is_msite")|1%>
	<%|define("dot_pos")|&strpos(%id, ".")%>
	<%(%dot_pos != "")
		<%|define("list_id")|&substring(%id, 0, &(%dot_pos - 6))%>
	::
		<%|define("list_id")|%id%>
	%>

	<%&include("mobile/common/adinfo_controller.txt")%>

	<%|define("query_string_next")|&replace("&amp;", "&", %sq)%>
	<%|define("api_content")|apitemplates/list.json%>
	&include("mobile/vars/vars.html")
	<%|define("view_output")|%response%>
	<%|json_vtree(%view_output)|
		<%( $(root.ads.0.list_id) != "" && %sq != "")
			<%|define_global("next_ad_link")|
				<%&replace($(common.base_url.vi), $(common.base_url.mobile),&vi_friendly_builder($(root.ads.0.region), $(root.ads.0.category), $(root.ads.0.subject), $(root.ads.0.list_id)))<%(?sq)?%sq%>%>
			%>
		%>
	%>
%>

<%|varblock|
<%(%dot_pos != "")
        <%|define("ad_id")|&substring(%id, 0, &(%dot_pos - 6))%>
::
        <%|define("ad_id")|%id%>
%>
	<%|define("is_msite")|1%>
        <%|define("api_content")|apitemplates/getinsertingfee.json%>
        &include("mobile/vars/vars.html")
        <%|define("ad_if_info")|%response%>
	<%|json_vtree(%ad_if_info)|
		<%|define_global("has_inserting_fee")|$(root.inserting_fee)%>
	%>
%>
<%|varblock|

<%|define("dot_pos")|&strpos(%id, ".")%>
<%(%dot_pos != "")
	<%|define("ad_id")|&substring(%id, 0, &(%dot_pos - 6))%>
::
	<%|define("ad_id")|%id%>
%>
<%|define("is_msite")|1%>
<%|define("api_content")|apitemplates/view.json%>
&include("mobile/vars/vars.html")
<%|define("view_output")|%response%>
<%|json_vtree(%view_output)|
<%|define_global("cg")|$(root.category_code)%>

<section class="ad-delete">

	<%|varblock|
	<%|define("feature")|mob_delete%>
	<%|define("feature_action")|error%>
	<%|define("xiti_settings")|xtclick_settings%>
	<%|include("common/xiti_xtcustom.html")|%>
	<input type="hidden" id="mobDelErrXiti" value="<%|urlencode|%xtcustom%>" />
	%>

	<h1 class="mobile">
		<%&translate("DELETE_REASONS_EXPLANATION")%>
	</h1>
	<%|varblock|
	<%|define("feature")|mob_delete%>
	<%|define("feature_action")|error%>
	<%|define("xiti_settings")|xtclick_settings%>
	<%|include("common/xiti_xtcustom.html")|%>
	<input type="hidden" id="mobDelErrXiti" value="<%|urlencode|%xtcustom%>" />
	%>

	<div id="accordion" class="ui-accordion ui-widget ui-helper-reset" role="tablist">
		<%|varblock|
		<%|define("feature")|mob_delete%>
		<%|settings("xtclick_settings")|
		<%
		<div class="ui-header-<%$$(deletion_reason.*)%> ui-accordion-header ui-helper-reset ui-state-default ui-accordion-icons ui-accordion-header-active ui-state-active ui-corner-top ui-state-focus">
			<span class="ui-accordion-header-icon ui-icon ui-icon-triangle-1-e"></span>
			<h3 class="strong-label" role="tab" id="ui-accordion-accordion-header-<%$$(deletion_reason.*)%>" aria-controls="ui-accordion-accordion-panel-0" aria-selected="true" tabindex="0">
				
				$(deletion_reason.@.description)
			</h3>
		</div>
		<div class="ui-accordion-content ui-helper-reset ui-widget-content ui-corner-bottom ui-accordion-content-active" id="ui-accordion-accordion-panel-<%$$(deletion_reason.*)%>" aria-labelledby="ui-accordion-accordion-header-0" role="tabpanel" aria-expanded="true" aria-hidden="false" style="display: block;">

			<form action="/ai/<%(%current_state == "confirm_delete")delete::action%>/<%%instance_id%>" method="post" id="form_$(deletion_reason.*)" data-reason = "$(deletion_reason.*)" class = "form-delete">
				<%|varblock|
				<%|define("action")|%appl%>
				<%|define("state_progress")|deleted%>
				<%|define("del_reason")|$$$(deletion_reason.*)%>
				<%|define("xiti_settings")|xiti_settings%>
				<%|include("common/xiti_xtcustom.html")|%>
				<input type="hidden" id="mobDelConfirm$$(deletion_reason.*)" value="<%|urlencode|%xtcustom%>" />
				%>

				<input type="hidden" name="cmd" value="delete" />
				<input type="hidden" name="deletion_reason" value="$(deletion_reason.*)" />
				<input type = "hidden" name="list_id" value = "<%%id%>">
				<input id="tealium_delete_ad_error" class="tealium-view-var" type = "hidden" data-tealium_var="$(tealium_view_var.delete_msite.delete_ad_error.var)" data-event_name="$(tealium_view.delete_msite.delete_ad_error.value)">
				<input id="tealium_delete_ad_submit" class="tealium-view-var" type = "hidden" data-tealium_var="$(tealium_view_var.delete_msite.delete_ad_submit.var)" data-event_name="$(tealium_view.delete_msite.delete_ad_submit.value)">
				<input type = "hidden" >

				<div class="form delete-reason-content">
					<%
					($$(deletion_reason.@.has_timer) == "1")
						&include("mobile/common/delete_reasons_timer.html")
					%>

					<%($$(deletion_reason.@.has_advertising) == "1" && $$(advertising.enabled) == "1" && (!?is_mobile_app || %is_mobile_app != "true") && (!?ad_status && %ad_status != "disabled"))
						&include("mobile/common/delete_bump_advertising.html")
					%>

					<%($$(deletion_reason.@.has_textfield) == "1")
					<label for="dlv$$(deletion_reason.*)" class="strong-label">
						$$(deletion_reason.@.textfield_label)
					</label>
					<textarea id="dlv$$(deletion_reason.*)" name="user_text" maxlength="$$(deletion_reason.@.textfield_max_length)"><%(%deletion_reason==$$$(deletion_reason.*))%user_text%></textarea>
					%>

					<%(?p)
						<input id="passHash$$(deletion_reason.*)" type="hidden" name="password_hash" value="%p" >
						<p class='validation_msg error hidden' id = "error$$(deletion_reason.*)">&nbsp;</p>
					::(%id =~ R["^[RDS]{0,1}[0-9_]+\\.[0-9]+$"])
						<p class='validation_msg error hidden' id = "error$$(deletion_reason.*)">&nbsp;</p>
					::
						<%(!?account_email || %account_email != %ad_mail)
							<label  for="pass$$$(deletion_reason.*)" class="strong-label intro-password">
							<% &translate("deletion_reason.enter_password")%>
							</label>
							<input id="pass$$$(deletion_reason.*)" placeholder="&translate("deletion_reason.password_placeholder")" type="password" name="passwd" maxlength="<%$(common.passwd_length.max)%>" tabindex="1">
							<p class='validation_msg error hidden' f="%xtcustomvar_passwd" id="error$$$(deletion_reason.*)">&nbsp;</p>
							<a class="help" href="$(common.base_url.sp)/sp?<%(?ca)ca=%ca&amp;%>id=%id&amp;recovery_type=delete">&translate("deletion_reason.password_help")</a><br>
						::
							<p class='validation_msg error hidden'  id="error$$$(deletion_reason.*)">&nbsp;</p>

						%>
					%>
					<%
						<a id="delete$$(deletion_reason.*)" class="btn btn-primary btn-block" name="continue" href="#" data-reason = "$$(deletion_reason.*)">
							<%($$$(deletion_reason.*) == 1 || $$$(deletion_reason.*) == 2 || (&allow_delete_ad(%account_is_pro_for, %account_pack_status, %category) == "1" && %ad_mail == %account_email ) || %has_inserting_fee=="1")
								<%&translate("DELETE")%>
							::
								<%&translate("DEACTIVATE")%>
							%>
						</a>
						<%((&allow_delete_ad(%account_is_pro_for, %account_pack_status, %category) != "1" || %ad_mail != %account_email) && %has_inserting_fee != "1")
							<p class="notice">
								<%&translate("NOTICE_DESACTIVED")%>
							</p>
						%>
					%>
				</div>
			</form>
		</div>
		<%((?err_passwd || ?err_error) && ?deletion_reason && %deletion_reason == $$(deletion_reason.*))
		<%|define("open_deletion_reason")|&($$$(deletion_reason.*) - 1)%>
		%>
		%>%>%>
	</div>  <!-- end accordion -->

</section><!-- end ct -->
%>
%>

<% &include("mobile/payment/pay_info.html") %>
<% &include("mobile/payment/pay_help.html") %>
